Subject: building wu-ftpd on Sol2.6

From: Rick <[email-masked]>
Date: Tue, 5 May 1998 09:58:07 -0400 (EDT)

I am trying to build wu-ftpd-2.4 on a Sparc running Solaris 2.6 with
gcc-2.8.1.  When I try the build it fails with:
Making ftpd.
gcc -g -DDEBUG -I.. -I../support -L../support   -c ftpd.c -o ftpd.o
ftpd.c: In function `statcmd':
ftpd.c:1972: `typenames' undeclared (first use in this function)
ftpd.c:1972: (Each undeclared identifier is reported only once
ftpd.c:1972: for each function it appears in.)
ftpd.c:1974: `formnames' undeclared (first use in this function)
ftpd.c:1982: `strunames' undeclared (first use in this function)
ftpd.c:1982: `modenames' undeclared (first use in this function)
make: *** [ftpd.o] Error 1

I remember building this a while ago under Solaris 2.5.1 with an older
gcc, but I do not remember if I had to do anything special.  What am I
doing wrong, or what do I need to do to build this?  Thanks for any help.

Rick